MyEclipse 2016 / 2017: How can fix the validation errors in xml files?

This topic contains 1 reply, has 2 voices, and was last updated by  support-swapna 7 months, 3 weeks ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #528410 Reply

    Spring bean definition:

    MyEclipse Validation Error (Version: 2017 Stable 1.0 Build id: 15.0.0-20170329) Win 64Bit:

    Referenced file contains errors (http://www.springframework.org/schema/beans/spring-beans-4.3.xsd). For more information, right click on the message in the Problems View and select “Show Details…”

    The errors below were detected when validating the file “spring-beans.xsd” via the file “beans.xml”. In most cases these errors can be detected by validating “spring-beans.xsd” directly. However it is possible that errors will only occur when spring-beans.xsd is validated in the context of beans.xml.

    ct-props-correct.4: Error for type ‘#AnonType_list’. Duplicate attribute uses with the same name and target namespace are specified. Name of duplicate attribute use is ‘merge’.
    ct-props-correct.4: Error for type ‘#AnonType_set’. Duplicate attribute uses with the same name and target namespace are specified. Name of duplicate attribute use is ‘merge’.
    ct-props-correct.4: Error for type ‘#AnonType_map’. Duplicate attribute uses with the same name and target namespace are specified. Name of duplicate attribute use is ‘merge’.
    ct-props-correct.4: Error for type ‘#AnonType_props’. Duplicate attribute uses with the same name and target namespace are specified. Name of duplicate attribute use is ‘merge’.

    Nothing helps from Dr. Google. Clear Internet Cache, Re-Validation of Files …

    #528536 Reply

    support-swapna
    Moderator

    developermetrinomics,

    Sorry that you are seeing this issue. Thank you for sharing the error details.
    From the error details, the file being referenced is http://www.springframework.org/schema/beans/spring-beans-4.3.xsd

    Can you please clarify if there are other context files that are using the spring-beans-4.3.xsd schema location? Does any file in your project contain spring-beans-4.3.xsd if you search on the project?

    Also, the Spring bean definition file, uses http://www.springframework.org/schema/util/spring-util.xsd, which does contain references to the spring-beans-4.3.xsd

    If you are working with a different version of Spring.xsd, then please specify the version in the schemas in the definition file. Example : For Spring 4.1, use http://www.springframework.org/schema/util/spring-util-4.1.xsd

    Please modify the schemas accordingly and check if it fixes the issue.

    If you are still seeing issues, then please share with us the full bean definition file (bean.xml) and any other context files used in the project for further investigation. Also share with us all the .* files of the project (.settings folder, .project, .classpath etc) to help us replicate the problem at our end.

    Apologies for inconvenience caused. Please let us know how it works for you.

    –Swapna
    MyEclipse Support

Viewing 2 posts - 1 through 2 (of 2 total)
Reply To: MyEclipse 2016 / 2017: How can fix the validation errors in xml files?